--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Modify and return eager loading dataset based on association options
full_name: Sequel::Model::eager_loading_dataset
is_singleton: true
name: eager_loading_dataset
params: (opts, ds, select, associations)
visibility: public
